<?php

use Illuminate\Routing\Router;

Admin::routes();

Route::group([
    'prefix'        => config('admin.route.prefix'),
    'namespace'     => config('admin.route.namespace'),
    'middleware'    => config('admin.route.middleware'),
    'as'            => config('admin.route.prefix') . '.',
], function (Router $router) {
    $router->get('/', 'HomeController@index')->name('home');
    $router->get('/api/getCity', 'ApiController@getCity');
    $router->get('/api/getArea', 'ApiController@getArea');
    $router->resource('/cdms_user', CdmsController::class);
    $router->resource('/organizations', OrganizationController::class);
    $router->resource('/docters', DocterController::class);
    $router->resource('/qualifications', QualificationController::class);
    $router->resource('/docters_approve', ApproveController::class);
    $router->resource('banners', BannerController::class);
    $router->resource('servebanners', ServebannerController::class);
    $router->resource('articles', ArticleController::class);

    $router->resource('vaccines', VaccinesController::class);
    $router->resource('docters_management', DoctorManagementController::class);
    $router->resource('users', UserListController::class);
    $router->resource('user_patients', UserPatientsController::class);
    $router->resource('user_orders', UserServiceController::class);
    $router->resource('user_balance_logs', UserBalanceLogController::class);
});

